#3 Upgrade to 18.04 (#1571775).
Merged 3 years ago by bowlofeggs. Opened 3 years ago by bowlofeggs.
rpms/ bowlofeggs/ejabberd 18.04  into  master

file modified
+1
@@ -8,3 +8,4 @@ 

  /ejabberd-18.01.tar.gz

  /ejabberd-18.1.0.tar.gz

  /ejabberd-18.03.tar.gz

+ /ejabberd-18.04.tar.gz

file modified
+17 -11
@@ -4,26 +4,27 @@ 

  # Since we require the version in both BuildRequires and Requires, let's make these variables for

  # easier maintenance.

  %global cache_tab_ver 1.0.13

- %global eimp_ver 1.0.3

+ %global eimp_ver 1.0.5

  %global epam_ver 1.0.4

- %global esip_ver 1.0.22

+ %global esip_ver 1.0.23

  %global ezlib_ver 1.0.4

- %global fast_tls_ver 1.0.21

- %global fast_xml_ver 1.1.29

- %global fast_yaml_ver 1.0.13

+ %global fast_tls_ver 1.0.22

+ %global fast_xml_ver 1.1.30

+ %global fast_yaml_ver 1.0.14

  %global iconv_ver 1.0.7

  %global luerl_ver 0.3

  %global p1_mysql_ver 1.0.5

+ %global p1_oauth2_ver 0.6.3

  %global p1_pgsql_ver 1.1.5

  %global p1_utils_ver 1.0.11

  %global stringprep_ver 1.0.11

- %global stun_ver 1.0.21

- %global xmpp_ver 1.1.20

+ %global stun_ver 1.0.22

+ %global xmpp_ver 1.1.21

  

  

  Name:           ejabberd

- Version:        18.03

- Release:        3%{?dist}

+ Version:        18.04

+ Release:        1%{?dist}

  BuildArch:      noarch

  

  License:        GPLv2+
@@ -74,7 +75,7 @@ 

  BuildRequires:  erlang-meck >= 0.8.4

  BuildRequires:  erlang-odbc

  BuildRequires:  erlang-p1_mysql >= %{p1_mysql_ver}

- BuildRequires:  erlang-p1_oauth2 >= 0.6.2

+ BuildRequires:  erlang-p1_oauth2 >= %{p1_oauth2_ver}

  BuildRequires:  erlang-p1_pgsql >= %{p1_pgsql_ver}

  BuildRequires:  erlang-p1_utils >= %{p1_utils_ver}

  BuildRequires:  erlang-rebar
@@ -123,7 +124,7 @@ 

  Requires:  erlang-meck >= 0.8.4

  Requires:  erlang-os_mon

  Requires:  erlang-p1_mysql >= %{p1_mysql_ver}

- Requires:  erlang-p1_oauth2 >= 0.6.2

+ Requires:  erlang-p1_oauth2 >= {%p1_oauth2_ver}

  Requires:  erlang-p1_pgsql >= %{p1_pgsql_ver}

  Requires:  erlang-p1_utils >= %{p1_utils_ver}

  Requires:  erlang-stringprep >= %{stringprep_ver}
@@ -392,6 +393,11 @@ 

  

  

  %changelog

+ * Sat Jun 09 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 18.04-1

+ - Upgrade to 18.04 (#1571775).

+ - Use TLS for the URL.

+ - https://blog.process-one.net/ejabberd-18-04/

+ 

  * Mon Jun 04 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 18.03-3

  - Use the correct path to epmd in ejabberdctl (#1573006).

  

file modified
+1 -1
@@ -1,1 +1,1 @@ 

- SHA512 (ejabberd-18.03.tar.gz) = 47e61239d3ee6f04c381c2000ff4dca52fb728488f8c060eeb5a0253de3d42fe6c9ab730cca63aab6a02d32dfe2bdec2e202272fd1e8e386eb334c1e82ccb9ff

+ SHA512 (ejabberd-18.04.tar.gz) = a0619a7f1b2e47f683ebba776c36276e0e57790f24ed833ce807c6c0709540f6f229c38be49288f4e461590cac880c53ad9aec7aa03b897da568c3e71a1bf14b